Open SCAP Library

Public Member Functions | Data Fields
xccdf_plain_text Struct Reference
XCCDF

XCCDF target fact. More...

`#include <xccdf_benchmark.h>`

## Public Member Functions
struct xccdf_plain_text * | xccdf_plain_text_new (void)
struct xccdf_plain_text * | xccdf_plain_text_new_fill (const char *id, const char *text)
void | xccdf_plain_text_free (struct xccdf_plain_text *plain)
struct xccdf_plain_text * | xccdf_plain_text_clone (const struct xccdf_plain_text *pt)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
const char * | xccdf_plain_text_get_id (const struct xccdf_plain_text *item)
const char * | xccdf_plain_text_get_text (const struct xccdf_plain_text *item)
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
bool | xccdf_plain_text_set_id (struct xccdf_plain_text *obj, const char *newval)
bool | xccdf_plain_text_set_text (struct xccdf_plain_text *obj, const char *newval)

## Data Fields
char * | id
char * | text

## Detailed Description

XCCDF target fact.

See also
  xccdf_result

The documentation for this struct was generated from the following files:

- item.h
- xccdf_benchmark.h